# vim: set ts=4 sw=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        AC3 plugin for OGMRip
Name:           ogmrip-ac3
Version:        0.2
Release:        3.3
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-ac3-%{version}.tar.gz
Source:         ogmrip-ac3-%{version}.tar.bz2
# Sure, it would be better to fix the warning. Feel free...
Patch0:         ogmrip-werror.patch
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:	libaften-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libogmrip-devel
BuildRequires:  pkgconfig
Requires:       aften
Requires:       MPlayer
Requires:       ogmrip
BuildRequires:  aften
BuildRequires:  MPlayer
BuildRequires:  ogmrip

%description
ogmrip-ac3 is a plugin for OGMRip which enables transcoding to AC-3.

%lang_package

%prep
%setup -q
%patch0

%build
%configure \
    --enable-static=no
%__make %{?_smp_flags}

%install
%makeinstall \
    audio_codecsdir=%{_libdir}/ogmrip/audio-plugins

%find_lang %{name}

%__rm %{buildroot}%{_libdir}/ogmrip/audio-plugins/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/audio-plugins
%{_libdir}/ogmrip/audio-plugins/libogmrip-ac3.so

%files lang -f %{name}.lang

%changelog
* Thu May  3 2012 reddwarf@opensuse.org
- remove -Werror, broke build in >= 12.1
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2
* Wed Jul 16 2008 toni@links2linux.de
- initial package for 0.1
